| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
Gaudi::Hive Namespace Reference

## Classes
class | ContextSpecificData
| Implementation of a context specific storage accessible as a sort of smart reference class. More...
class | ContextSpecificPtr
| Simple implementation of a smart pointer with different values for different event contexts (slots). More...
class | FetchDataFromFile

## Typedefs
typedef std::size_t | ContextIdType
| Internal type used for the ContextId. More...

## Functions
GAUDI_API ContextIdType | currentContextId ()
| Return the current context id. More...
GAUDI_API ContextIdType | currentContextEvt ()
GAUDI_API const EventContext & | currentContext ()
GAUDI_API void | setCurrentContextId (ContextIdType newId)
| Used by the framework to change the value of the current context id. More...
GAUDI_API void | setCurrentContextEvt (long int evtN)
GAUDI_API void | setCurrentContextId (ContextIdType newId, long int evtN)
GAUDI_API void | setCurrentContextId (const EventContext *ctx)
GAUDI_API void | setCurrentContext (const EventContext *ctx)
GAUDI_API void | setCurrentContext (const EventContext &ctx)

## Typedef Documentation

typedef std::size_t Gaudi::Hive::ContextIdType

Internal type used for the ContextId.

Definition at line 15 of file ThreadLocalContext.h.

## Function Documentation

const EventContext & Gaudi::Hive::currentContext | ( |  | ) |

Definition at line 24 of file ThreadLocalContext.cpp.

24 { return s_curCtx(); }

ContextIdType Gaudi::Hive::currentContextEvt | ( |  | ) |

Definition at line 23 of file ThreadLocalContext.cpp.

23 { return s_curCtx().evt(); }

ContextIdType Gaudi::Hive::currentContextId | ( |  | ) |

Return the current context id.

The returned id is valid only within the (sys)Execute method of algorithms.

Definition at line 22 of file ThreadLocalContext.cpp.

22 { return s_curCtx().slot(); }

void Gaudi::Hive::setCurrentContext | ( | const EventContext * | ctx | ) |

Definition at line 35 of file ThreadLocalContext.cpp.

35 { s_curCtx() = *ctx; }

void Gaudi::Hive::setCurrentContext | ( | const EventContext & | ctx | ) |

Definition at line 37 of file ThreadLocalContext.cpp.

37 { s_curCtx() = ctx; }

void Gaudi::Hive::setCurrentContextEvt | ( | long int | evtN | ) |

Definition at line 26 of file ThreadLocalContext.cpp.

26 { s_curCtx().setEvt( evtN ); }

void Gaudi::Hive::setCurrentContextId | ( | ContextIdType | newId | ) |

Used by the framework to change the value of the current context id.

Definition at line 27 of file ThreadLocalContext.cpp.

27 { s_curCtx().setSlot( newId ); }

void Gaudi::Hive::setCurrentContextId | ( | ContextIdType | newId,
|  | long int | evtN
| ) |  |

Definition at line 30 of file ThreadLocalContext.cpp.

30 { s_curCtx().set( evtN, newId ); }

void Gaudi::Hive::setCurrentContextId | ( | const EventContext * | ctx | ) |

Definition at line 33 of file ThreadLocalContext.cpp.

33 { s_curCtx() = *ctx; }